Bug Hunting Session
Bug 93102 - Crash on enabling image contour
Summary: Crash on enabling image contour
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.4 rc
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:5.0.1
Keywords: haveBacktrace, regression
Depends on:
Blocks: VclPtr Contour-Editor
  Show dependency treegraph
 
Reported: 2015-08-03 16:24 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-12 12:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (15.17 KB, text/plain)
2015-08-03 16:24 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-03 16:24:45 UTC
Created attachment 117627 [details]
backtrace

Steps:
1) Open Writer
2) Insert Image
3) Right-click > Wrap > Edit Contour
4) Select 'Ellipse' in contour editor toolbar
5) Draw an ellipse
6) Click 'Apply' button
7) Close contour editor dialog with titlebar 'X'
8) Crash

Regression as this doesnt happen in 4.4 daily.

Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-07-30_05:23:12
Locale: en-US (en_US.UTF-8)

On a side note, after reopening Writer after the crash, contour editor will be automatically opened.
Comment 1 Jacques Guilleron 2015-08-04 14:59:51 UTC
Hi Yousuf,

I don't reproduce with 
LO 5.1.0.0.alpha1+ Build ID: 8cfdd81b70ef37927b40497ffd10034f28335034
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-24_02:47:18
Locale: fr-FR (fr_FR)
OS : Windows 7 hopme Premium
Comment 2 Gordo 2015-08-05 19:13:25 UTC
Does not happen in
Windows Vista 64
Version: 5.1.0.0.alpha1+
Build ID: 512b782cf466a19ed77d818fa660e1a0dc74fc35
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-01_00:24:16

Is it present in 5.0.0.5?
Maybe Linux only?
Comment 3 Yousuf Philips (jay) (retired) 2015-08-06 18:53:28 UTC
Tested on Windows and it wouldnt happen. On linux it happens on 5.0 daily and master.
Comment 4 raal 2015-08-08 05:08:35 UTC
No crash with Version: 5.1.0.0.alpha1+
Build ID: 25534a62b2ba398c6298c6b9e521f20de1087540
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-07_14:13:33
Comment 5 Yousuf Philips (jay) (retired) 2015-08-08 16:38:49 UTC
Still crashing.

Version: 5.1.0.0.alpha1+
Build ID: 25534a62b2ba398c6298c6b9e521f20de1087540
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-07_14:13:33
Locale: en-US (en_US.UTF-8)
Comment 6 MM 2015-08-13 22:56:18 UTC
Unconfirmed with v5.0.1.1 under mint 17.2 x64.
Comment 7 Commit Notification 2015-08-17 20:22:44 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8aff239993e803ece4a8de6102f5dd57b89133fd

tdf#93102 : resolved crash on enabling image contour

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-08-18 09:16:02 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6bd0111073d0a94b40b20cce85e10cdcb791d3e&h=libreoffice-5-0

tdf#93102 : resolved crash on enabling image contour

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-08-18 09:26:17 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0464718dfe7401bc7e19e76226b9a1fe74c68a9e&h=libreoffice-5-0-1

tdf#93102 : resolved crash on enabling image contour

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Michael Meeks 2015-08-18 09:35:21 UTC
Thanks Szymon !